ScalixScalix Docs

Registry API

OCI container registry

REST API endpoints for Registry. 10 operations.

Check the registry API version

plaintext
GET /v1/registry/v2/

Returns the OCI Distribution API version supported by the registry.

Auth: Bearer API key

Responses

StatusDescription
200OCI Distribution API version check
401Missing or invalid API key
500Internal error

operationId: registryVersionCheck

List the repository catalog

plaintext
GET /v1/registry/v2/_catalog

Returns the catalog of repositories in the registry.

Auth: Bearer API key

Responses

StatusDescription
200Repository catalog
401Missing or invalid API key
500Internal error

operationId: getRegistryCatalog

Get a blob

plaintext
GET /v1/registry/v2/{project_id}/{repository}/blobs/{digest}

Downloads an OCI blob by digest.

Auth: Bearer API key

Parameters

NameInTypeRequiredDescription
project_idpathstringYesProject id
repositorypathstringYesRepository name
digestpathstringYesBlob digest

Responses

StatusDescription
200Blob content
401Missing or invalid API key
500Internal error

operationId: getRegistryBlob

Check a blob exists

plaintext
HEAD /v1/registry/v2/{project_id}/{repository}/blobs/{digest}

Returns headers indicating whether an OCI blob exists.

Auth: Bearer API key

Parameters

NameInTypeRequiredDescription
project_idpathstringYesProject id
repositorypathstringYesRepository name
digestpathstringYesBlob digest

Responses

StatusDescription
200Blob existence/headers
401Missing or invalid API key
500Internal error

operationId: headRegistryBlob

Start a blob upload

plaintext
POST /v1/registry/v2/{project_id}/{repository}/blobs/uploads/

Begins an OCI blob upload session and returns the upload location.

Auth: Bearer API key

Parameters

NameInTypeRequiredDescription
project_idpathstringYesProject id
repositorypathstringYesRepository name

Responses

StatusDescription
202Blob upload session started
401Missing or invalid API key
500Internal error

operationId: startRegistryBlobUpload

Delete a manifest

plaintext
DELETE /v1/registry/v2/{project_id}/{repository}/manifests/{reference}

Removes an OCI image manifest by tag or digest.

Auth: Bearer API key

Parameters

NameInTypeRequiredDescription
project_idpathstringYesProject id
repositorypathstringYesRepository name
referencepathstringYesTag or digest

Responses

StatusDescription
202Manifest deleted
401Missing or invalid API key
500Internal error

operationId: deleteRegistryManifest

Get a manifest

plaintext
GET /v1/registry/v2/{project_id}/{repository}/manifests/{reference}

Returns an OCI image manifest by tag or digest.

Auth: Bearer API key

Parameters

NameInTypeRequiredDescription
project_idpathstringYesProject id
repositorypathstringYesRepository name
referencepathstringYesTag or digest

Responses

StatusDescription
200OCI manifest
401Missing or invalid API key
500Internal error

operationId: getRegistryManifest

Check a manifest exists

plaintext
HEAD /v1/registry/v2/{project_id}/{repository}/manifests/{reference}

Returns headers indicating whether an OCI manifest exists.

Auth: Bearer API key

Parameters

NameInTypeRequiredDescription
project_idpathstringYesProject id
repositorypathstringYesRepository name
referencepathstringYesTag or digest

Responses

StatusDescription
200Manifest existence/headers
401Missing or invalid API key
500Internal error

operationId: headRegistryManifest

Store a manifest

plaintext
PUT /v1/registry/v2/{project_id}/{repository}/manifests/{reference}

Uploads an OCI image manifest under a tag or digest.

Auth: Bearer API key

Parameters

NameInTypeRequiredDescription
project_idpathstringYesProject id
repositorypathstringYesRepository name
referencepathstringYesTag or digest

Request body

application/json (required) — schema object.

Responses

StatusDescription
201Manifest stored
401Missing or invalid API key
500Internal error

operationId: putRegistryManifest

List tags

plaintext
GET /v1/registry/v2/{project_id}/{repository}/tags/list

Returns the tags available for a repository.

Auth: Bearer API key

Parameters

NameInTypeRequiredDescription
project_idpathstringYesProject id
repositorypathstringYesRepository name

Responses

StatusDescription
200Tag list
401Missing or invalid API key
500Internal error

operationId: listRegistryTags